# Makefile fuer 'stopwatch'
#
# (C) 9/1995 Tilman Kuepper (tilman@tilli.tng.oche.de)
#
# $Date: 1995/09/06 16:27:35 $
# $Revision: 1.0 $
# $State: Released $

# Compiler:
CC	= cc

# Compiler-Flags:
CFLAGS	= -O2 -Wall

# Verzeichnis fuer X-Bibliotheken:
XLIBDIR	= /usr/X11/lib

# Bibliotheken fuer Linker:
LIBS	= -lforms -lm -lX11

#
# Ausfuehrbares Programm:
#
stopwatch: stopwatch.o callbacks.o main.o
	$(CC) $(CFLAGS) -o stopwatch stopwatch.o callbacks.o main.o\
            -L $(XLIBDIR) $(LIBS)

# Objektdateien:
stopwatch.o: stopwatch.c stopwatch.h
	$(CC) $(CFLAGS) -c stopwatch.c

callbacks.o: callbacks.c stopwatch.h
	$(CC) $(CFLAGS) -c callbacks.c

main.o: main.c stopwatch.h
	$(CC) $(CFLAGS) -c main.c

#
# Objektdateien und Muell loeschen:
#
clean: 
	rm -f Makefile~ stopwatch.o callbacks.o main.o README~
	rm -f stopwatch.c~ callbacks.c~ main.c~ stopwatch.lsm~

#
# TAR-Archiv erstellen
#
tar:
	tar zcvf stopwatch.tar.gz stopwatch.fd stopwatch.c stopwatch.h\
            callbacks.c main.c Makefile stopwatch stopwatch.lsm README
